Package org.apache.calcite.avatica.util

## Interface ArrayImpl.Factory

All Known Implementing Classes:
  `ArrayFactoryImpl`, `AvaticaResultSet`

Enclosing class:
  ArrayImpl

    public static interface ArrayImpl.Factory

Factory that can create a ResultSet or Array based on a stream of values.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.sql.ResultSet` `create​(ColumnMetaData.AvaticaType elementType, java.lang.Iterable<java.lang.Object> iterable)` Creates a `ResultSet` from the given list of values per `Array.getResultSet()`.
`java.sql.Array` `createArray​(ColumnMetaData.AvaticaType elementType, java.lang.Iterable<java.lang.Object> elements)` Creates an `Array` from the given list of values, converting any primitive values into the corresponding objects.

### Method Detail

#### create

    java.sql.ResultSet create​(ColumnMetaData.AvaticaType elementType,
                              java.lang.Iterable<java.lang.Object> iterable)
                       throws java.sql.SQLException

Creates a `ResultSet` from the given list of values per `Array.getResultSet()`.

Parameters:
  `elementType` - The type of the elements
  `iterable` - The elements
Throws:
  `java.sql.SQLException` - on error

#### createArray

    java.sql.Array createArray​(ColumnMetaData.AvaticaType elementType,
                               java.lang.Iterable<java.lang.Object> elements)

Creates an `Array` from the given list of values, converting any primitive values into the corresponding objects.

Parameters:
  `elementType` - The type of the elements
  `elements` - The elements